FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202101160457.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101160457.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.2+7637810 OS_GIT_COMMIT=7637810 OS_GIT_VERSION=4.5.0-202101160457.p0-7637810 SOURCE_DATE_EPOCH=1610142448 SOURCE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 SOURCE_GIT_TAG=7637810f SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/openshift/sriov-network-operator
COPY . .
RUN make _build-webhook BIN_PATH=build/_output/cmd

FROM openshift/ose-base:v4.5.0.20210116.053741
ENV __doozer=update BUILD_RELEASE=202101160457.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101160457.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.2+7637810 OS_GIT_COMMIT=7637810 OS_GIT_VERSION=4.5.0-202101160457.p0-7637810 SOURCE_DATE_EPOCH=1610142448 SOURCE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 SOURCE_GIT_TAG=7637810f SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/cmd/webhook /usr/bin/webhook
CMD ["/usr/bin/webhook"]

LABEL \
        io.k8s.display-name="OpenShift sriov-network-webhook" \
        io.k8s.description="This is an admission controller webhook that mutates and validates customer resources of sriov network operator." \
        io.openshift.tags="openshift,networking,sr-iov" \
        maintainer="Multus team <multus-dev@redhat.com>" \
        name="openshift/ose-sriov-network-webhook" \
        com.redhat.component="sriov-network-webhook-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202101160457.p0" \
        io.openshift.build.commit.id="7637810f42a401af61095dbed107101beb774170" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/7637810f42a401af61095dbed107101beb774170" \
        version="v4.5.0"

